services:
  sqlserver:
    image: mcr.microsoft.com/mssql/server:2022-latest
    container_name: solution-erp-sql
    environment:
      - ACCEPT_EULA=Y
      - MSSQL_SA_PASSWORD=SolutionErp@2026
      - MSSQL_PID=Developer
    ports:
      - "1433:1433"
    volumes:
      - sqldata:/var/opt/mssql
    restart: unless-stopped

volumes:
  sqldata:
